Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class FlowImpl

    java.lang.Object
      com.servingxml.app.Flow
          com.servingxml.app.FlowModifier
              com.servingxml.app.FlowImpl

    public class FlowImpl

extends FlowModifier

Constructor Summary
`FlowImpl()`
`FlowImpl(Environment env, ServiceContext context, Record parameters, Record record)`
`FlowImpl(PrefixMap prefixMap, ServiceContext context, Record parameters, Record record)`
`FlowImpl(Record parameters)`
`FlowImpl(Record parameters, StreamSource defaultStreamSource, StreamSink defaultStreamSink)`
`FlowImpl(Record parameters, StreamSource defaultStreamSource, StreamSink defaultStreamSink, SaxSource defaultSaxSource)`

Method Summary
`int` | `getCurrentLineNumber()`
`SaxSink` | `getDefaultSaxSink()`
`SaxSource` | `getDefaultSaxSource()`
`StreamSink` | `getDefaultStreamSink()`
`StreamSource` | `getDefaultStreamSource()`
`Record` | `getParameters()`
`Record` | `getRecord()`

Methods inherited from class com.servingxml.app.FlowModifier
`augmentParameters, replaceDefaultSaxSink, replaceDefaultSaxSource, replaceDefaultStreamSink, replaceDefaultStreamSource, replaceParameters, replaceRecord, replaceRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowImpl

    public FlowImpl()

### FlowImpl

    public FlowImpl(Record parameters)

### FlowImpl

    public FlowImpl(Record parameters,
                    StreamSource defaultStreamSource,
                    StreamSink defaultStreamSink)

### FlowImpl

    public FlowImpl(Record parameters,
                    StreamSource defaultStreamSource,
                    StreamSink defaultStreamSink,
                    SaxSource defaultSaxSource)

### FlowImpl

    public FlowImpl(Environment env,
                    ServiceContext context,
                    Record parameters,
                    Record record)

### FlowImpl

    public FlowImpl(PrefixMap prefixMap,
                    ServiceContext context,
                    Record parameters,
                    Record record)

Method Detail

### getRecord

    public Record getRecord()

  Specified by:
    `getRecord` in class `Flow`

### getCurrentLineNumber

    public int getCurrentLineNumber()

  Specified by:
    `getCurrentLineNumber` in class `Flow`

### getDefaultStreamSource

    public StreamSource getDefaultStreamSource()

  Specified by:
    `getDefaultStreamSource` in class `Flow`

### getDefaultSaxSource

    public SaxSource getDefaultSaxSource()

  Specified by:
    `getDefaultSaxSource` in class `Flow`

### getDefaultStreamSink

    public StreamSink getDefaultStreamSink()

  Specified by:
    `getDefaultStreamSink` in class `Flow`

### getDefaultSaxSink

    public SaxSink getDefaultSaxSink()

  Specified by:
    `getDefaultSaxSink` in class `Flow`

### getParameters

    public Record getParameters()

  Specified by:
    `getParameters` in class `Flow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD